# $Revision: 1.17 $, $Date: 2008/07/27 22:53:54 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Speech
%define		pnam	speech_pm
Summary:	Speech::Synthesiser - speech output for Perl
Summary(pl.UTF-8):	Speech::Synthesiser - wyjście mowy dla Perla
Name:		perl-speech
Version:	1.0
Release:	4
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}_%{version}.tgz
# Source0-md5:	49666e75d6014c9f521a582fb0f531ce
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	festival
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# note: there is only festival interface for now, so it isn't separated
# (and Requires: festival is in main package)

%description
This is a simple Perl extension module which provides a way for perl
programs to speak using a speech synthesiser. The interface is
intended to allow any synthesiser to be plugged in. An implementation
using the festival speech synthesiser is included.

%description -l pl.UTF-8
To jest prosty moduł Perla udostępniający programom możliwość mówienia
przy użyciu syntezatora mowy. Interfejs jest zaprojektowany z myślą o
możliwości użycia dowolnego syntezatora. Dołączona jest implementacja
używająca syntezatora festival.

%prep
%setup -q -n %{pnam}_%{version}
# workaround and fixes for broken file locations
%{__perl} -pi -e 's/Speech::Synthesiser/Speech/' Makefile.PL
%{__perl} -pi -e 's/Speech::Speech::Festival/Speech::Festival/' Speech/Festival.pm
%{__perl} -pi -e 's/use Festival/use Speech::Festival/' test.pl

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.txt
%{perl_vendorlib}/Audio/*.pm
%{perl_vendorlib}/Speech/*.pm
%{perl_vendorlib}/Speech/Festival
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-speech.spec,v $
Revision 1.17  2008/07/27 22:53:54  arekm
- release 4

Revision 1.16  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.14  2004/11/03 22:30:57  paladine
- formatting

Revision 1.13  2004/10/24 17:05:53  paladine
- spelling fixes, uppercases, etc.

Revision 1.12  2004/06/05 18:10:50  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.11  2004/05/07 01:09:26  ankry
- rel. 3

Revision 1.10  2004/05/06 18:21:34  ankry
- fixed perl-devel BR

Revision 1.9  2004/04/27 15:26:30  ankry
- new bconds

Revision 1.8  2003/08/18 08:09:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:25:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:46  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 22:43:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:39:23  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/15 21:58:47  qboosh
- new

